part of '../pages.dart';

class AppbarHomePage extends StatefulWidget {
  const AppbarHomePage({ Key? key }) : super(key: key);
  static const routeName = '/appbar_page/appbar_homepage';

  @override
  _AppbarHomePageState createState() => _AppbarHomePageState();
}

class _AppbarHomePageState extends State<AppbarHomePage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        backgroundColor: LLSColors.PRIMARY,
        leading: InkWell(
          onTap: () {
            Navigator.of(context).pop();
          },
          child: Container(
            child: Icon(
              CupertinoIcons.back,
              color: LLSColors.WHITE,
            ),
          ),
        ),
        title: const Text(
          'Appbar',
          style: TextStyle(fontSize: 17),
        ),
        centerTitle: true,
      ),
      body: ListView(
        children: <Widget>[
          const Padding(
            padding: EdgeInsets.only(left: 15, top: 30, bottom: 10),
            child: LLSLabel(
              text: 'Basic Appbar',
              type: LLSLabelType.typo5,
              dividerWidth: 25,
              dividerColor: LLSColors.SECONDARY,
            ),
          ),
          Container(
            height: 70,
            child: AppbarPage(),
          ),

          const Padding(
            padding: EdgeInsets.only(left: 15, top: 30, bottom: 10),
            child: LLSLabel(
              text: 'Appbar with SearchBox',
              type: LLSLabelType.typo5,
              dividerWidth: 25,
              dividerColor: LLSColors.SECONDARY,
            ),
          ),
          Container(
            height: 70,
            child: SearchbarPage(),
          )
        ],
      ),
    );
  }
}